import React from 'react';
import '@testing-library/jest-dom/extend-expect';
import { render } from '@testing-library/react';
import { SectionDivider } from '.';
describe('SectionDivider', function () {
  var wrapper;
  describe('with title', function () {
    beforeEach(function () {
      wrapper = render( /*#__PURE__*/React.createElement(SectionDivider, {
        title: "Example title"
      }));
    });
    it('renders the title text', function () {
      expect(wrapper.queryByText('Example title')).toBeInTheDocument();
    });
    it('does not render the description text', function () {
      expect(wrapper.queryByText('Example description')).not.toBeInTheDocument();
    });
  });
  describe('with description', function () {
    beforeEach(function () {
      wrapper = render( /*#__PURE__*/React.createElement(SectionDivider, {
        title: "Example title"
      }, "Example description"));
    });
    it('renders the description text', function () {
      expect(wrapper.queryByText('Example description')).toBeInTheDocument();
    });
  });
});